<?xml version="1.0" encoding="UTF-8" ?>
<!--
IGAC proyecto SNC

@author fredy.wilches
@version 2.0
@description Formulario de ejecución  
@cu CU-CO-V-01

-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" id="multiplicarTorrePanelGrid"
             width="100%" cellpadding="10">

    <p:messages id="msgMultiplicarTorre" showDetail="false" globalOnly="false" />
    <p:panel>
        <h:panelGrid columns="2">
            <h:outputLabel value="Total pisos torre:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{managedBeanParam.fichaMatrizTorreSeleccionada.pisos}" />

            <h:outputLabel value="Total unidades privadas:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{managedBeanParam.fichaMatrizTorreSeleccionada.unidades}" />

            <h:outputLabel value="Total sótanos:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{managedBeanParam.fichaMatrizTorreSeleccionada.sotanos}" />

            <h:outputLabel value="Total unidades sótano:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{managedBeanParam.fichaMatrizTorreSeleccionada.unidadesSotanos}" />
        </h:panelGrid>
    </p:panel>

    <h:panelGrid columns="2">
        <h:outputLabel value="Cantidad torres a multiplicar:"
                       styleClass="outputLabelStyle" />
        <h:panelGrid columns="2">
            <h:inputText value="#{managedBeanParam.numeroTorresMultiplicar}"
                         id="numeroTorresMultiplicar" label="Cantidad torres a multiplicar" />
            <p:message for="numeroTorresMultiplicar" display="icon"
                       id="numeroTorresMultiplicarMsg" />
        </h:panelGrid>
    </h:panelGrid>

    <p:outputPanel layout="block" style="text-align:right">
        <p:commandButton action="#{managedBeanParam.multiplicarTorre}"
                         oncomplete="handleCompleteSIC(xhr, status, args, multiplicarTorreWV, false)"
                         value="Multiplicar"
                         update=":gestionarFichaMatrizForm"
                         icon="ui-icon-arrow-4-diag" />
    </p:outputPanel>
</h:panelGrid>